Description

There are issues with the existing Names class constructs that we have agreed to address in CIM18.

Proposed Solution
Proposed changes:

1. Add a new association i.e. Name (0..n) --> IdentifiedObject (0..1) to handle alternative identifiers distinct and different from
alternate names (i.e using the existing association).
2. Add new class ObjectType and corresponding association ObjectType (0..1) --> IdentifiedObject (0..n)
- Add a type attribute to the class
3. Add new class NamingAuthority to replace NameTypeAuthority (which should be deleted).

- Add description , mRID , and name attributes to the class

4. Add the following attributes to existing classes:
- Add language and mRID attributes to the Name class
- Add mRID attribute to the NameType class

Decision

Upon UCA UML Joint team review we have approved the changes proposed.

Release Notes

The following changes were applied to CIM18 to address insufficiency in the existing Names construct in the 61970 package:

e Add a new association i.e. Name (0..n) --> IdentifiedObject (0..1) to handle alternative identifiers distinct and different from
alternate names (i.e using the existing associatoin).

e Added a new class ObjectType to the Core package
1. Added attribute type to the ObjectType class
2. Added a new association ObjectType (0..1) --> IdentifiedObject (0..n)

¢ Added a new class NamingAuthority to replace NameTypeAuthority which was also deleted (a breaking change).
1. Add description , mRID , and name attributes to this new class
2. Added a new association NameType (0..n) --> NamingAuthority (0..1)
3. Added a new association Name (0..n) --> NamingAuthority (0..1)

¢ Added the following attributes to existing classes:
1. Added language and mRID attributes to the existing Name class
2. Added mRID attribute to the NameType class

¢ Added a new association between the existing Name and IdentifiedObject classes with the following role end names and
cardinality:
1. Alternativeldentifier (0..n) --> UniqueldentifiedObject (0..1)

¢ Renamed the role end name for the existing Name --> IdentifiedObject associations. Changed it from it's plural form (i.e.
Names) to its singular form. This to conform with formal CIM modeling guidelines

History

#1 - 10/19/2021 02:09 PM - Todd Viegut

- Subject changed from There are issues with the existing Names class constructs t to There are issues with the existing Names class constructs

- Proposed Solution updated

#2 - 10/21/2021 11:13 AM - Todd Viegut
- Solution Version changed from CIM18 to CIM18v00

#3 - 10/21/2021 11:17 AM - Todd Viegut
- Breaking Change changed from No to Yes
- Breaking Change Description set to Classes were removed and association role ends renamed.

- Decision updated

#4 - 10/21/2021 11:17 AM - Todd Viegut

- Decision updated

#6 - 10/21/2021 11:50 AM - Todd Viegut

- Breaking Change Description changed from Classes were removed and association role ends renamed. to NameTypeAuthority class was removed
and association role ends renamed.

#7 - 10/21/2021 12:01 PM - Todd Viegut

- Subject changed from There are issues with the existing Names class constructs to Address issues with the Names classes construct introduced as
of CIM15

#8 - 10/21/2021 12:03 PM - Todd Viegut
- Solution to be Applied To changed from 61970cim18 to CIM18

#9 - 10/21/2021 02:32 PM - Todd Viegut
- Solution Applied By changed from tviegut to Todd Viegut

#10 - 10/21/2021 02:43 PM - Todd Viegut
- Proposed Solution updated

#11 - 10/22/2021 10:19 AM - Todd Viegut

- Release Notes updated

#12 - 10/22/2021 10:28 AM - Todd Viegut
- Proposed Solution updated
